#!/bin/sh # # checknewver # Check for availability of the newest distfiles # # ---------------------------------------------------------------------------- # "THE BEER-WARE LICENSE" (Revision 42, (c) Poul-Henning Kamp): # Maxim Sobolev wrote this file. As long as you retain # this notice you can do whatever you want with this stuff. If we meet some # day, and you think this stuff is worth it, you can buy me a beer in return. # # Maxim Sobolev # ---------------------------------------------------------------------------- # # $FreeBSD$ # # MAINTAINER= sobomax@FreeBSD.org display_warn () { if [ x"${SILENT}" != x"yes" ]; then echo "WARN: ${@}" >&2 fi } display_err () { if [ x"${SILENT}" != x"yes" ]; then echo "ERROR: ${@}" >&2 fi exit 1 } display_msg () { if [ x"${SILENT}" != x"yes" ]; then echo "${@}" >&2 fi } while getopts "s" COMMAND_LINE_ARGUMENT ; do case "${COMMAND_LINE_ARGUMENT}" in s) SILENT=yes ;; esac done if [ x`which ftpls` = x"" ]; then display_err "Couldn't find ftpls program, which is part of" \ "ports/ftp/ftpcopy port. Please make sure that it is installed" \ "and try again." fi if [ ! -e Makefile ]; then display_err "Couldn't find Makefile here." fi PORTNAME=`make -V PORTNAME 2>/dev/null` PORTVERSION=`make -V PORTVERSION 2>/dev/null` DISTFILES=`make -V DISTFILES 2>/dev/null` if [ x"${PORTNAME}" = x"" -o x"${PORTVERSION}" = x"" -o x"${DISTFILES}" = x"" ]; then display_err "Either PORTNAME, PORTVERSION or DISTFILES is undefined in Makefile." fi MASTER_SITES=`env MASTER_SITE_BACKUP=\"\" make master-sites-all 2>/dev/null | xargs -n1 echo | grep ^ftp://` if [ x"${MASTER_SITES}" = x"" ]; then display_err "Either MASTER_SITES is undefined in Makefile or it doesn't contain any ftp sites." fi display_msg "Checking for updated version of ${PORTNAME}..." PV_PATR=`echo ${PORTVERSION} | sed 's=\.=\\\\.=g'` for DISTNAME in ${DISTFILES}; do DF_PATR=`echo ${DISTNAME} | sed "s=${PV_PATR}=.*=" | \ sed 's=\.=\\\\.=g ; s=\\\.\*=.*='` DF_CHECK=`echo ${DISTNAME} | sed 's=\.=\\\\.=g` if [ x"${DF_PATR}" = x"${DF_CHECK}" ]; then display_warn "Couldn't construct searching pattern - ${DISTNAME} ignored." else DF_PATRNS="${DF_PATRNS} ${DF_PATR}" F_DISTFILES="${F_DISTFILES} ${DISTNAME}" fi done if [ x"${F_DISTFILES}" = x"" ]; then display_warn "Nothing to check - exitting." exit 0 fi DISTFILES="${F_DISTFILES}" for MASTER_SITE in ${MASTER_SITES}; do display_msg "...checking ${MASTER_SITE}" FTPLIST=`ftpls ${MASTER_SITE} 2>/dev/null | grep -v ^dir | awk '{print $6}'` for DISTNAME in ${DISTFILES}; do DF_PATR=`echo ${DISTNAME} | sed "s=${PV_PATR}=.*=" | \ sed 's=\.=\\\\.=g ; s=\\\.\*=.*='` for i in `echo ${FTPLIST} | xargs -n1 echo | grep "${DF_PATR}$"` ; do if [ "${i}" ">" "${DISTNAME}" ]; then NEW="${NEW} ${MASTER_SITE}${i}" fi done done done if [ x"${NEW}" != x"" ]; then display_msg "" display_msg "Hmm, is seems that there is newest version(s) at:" echo "${NEW}" | xargs -n1 echo display_msg "" fi ndabot/npm_and_yarn/devel/electron6/files/elliptic-6.5.3'>dependabot/npm_and_yarn/devel/electron6/files/elliptic-6.5.3 FreeBSD GNOME current development ports (https://github.com/freebsd/freebsd-ports-gnome)
aboutsummaryrefslogtreecommitdiffstats
path: root/www/p5-HTML-Template-Expr
Commit message (Expand)AuthorAgeFilesLines
* Update to 0.07.tobez2006-04-192-4/+4
* - update to 0.06leeym2006-03-164-13/+18
* Replace ugly "@unexec rmdir %D... 2>/dev/null || true" with @dirrmtryedwin2006-01-221-5/+5
* Update to 0.05.tobez2005-12-232-4/+4
* Take a perl@ hat and add SHA256 checksumsmat2005-11-141-0/+1
* Change MAINTAINER to perl@.nork2004-08-131-1/+1
* Add size data.nork2004-03-201-0/+1
* utilize SITE_PERLijliao2003-10-242-11/+11
* De-pkg-comment.nork2003-02-232-1/+1
* Fix BUILD_DEPENDS to p5-Test-Simple(implicitly).nork2003-02-131-2/+3
* Update to 0.04. and Fix *_DEPENDS.nork2003-01-022-4/+5
* more clean pkg-plistnork2002-05-142-6/+6